<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> 
  <meta http-equiv="Refresh" content="60"> 
  <meta name="GENERATOR" content="Mozilla/4.72 (X11; U; Linux 2.2.12-20smp i686) [Netscape]">    
  <title>WeatherMon (Последние 24 часа)</title>                      
  <link rel="icon" href="favicon.png" />
  <style type="text/css">
     a:visited { text-decoration: none; color:darkblue; }
     a:link { text-decoration: none; color:blue; }
     a:hover { text-decoration: none; color:navy; }
     .header { font-size: 16; float: left; margin: 10px;}
     .timestamp { font-size: 16; margin: 10px;}
     .value { font-size: 60; margin: 10px; }
     .block { float: left; margin: 20px; }
     .container { clear: both; }
     .footer { clear: both; margin: 20px; font-size: 20; }
  </style>
</head>
<body>         
<div class="container">
<?php

include('config_local.php');
include('units.php');

if (! ($db = new PDO("mysql:host=$mysql_host;port=$mysql_port;dbname=$mysql_schema",$mysql_user,$mysql_pwd,array( PDO::ATTR_PERSISTENT => false)))) {
  die($err);
  }  

$db -> exec('SET CHARACTER SET utf8');

$q = $db -> prepare(
  'select 
    distinct v.sensor_id,s.s_description,p.id as param_id,p.st_description 
  from 
    sensor_values v,st_parameters p,sensors s 
  where 
    v.timestamp>adddate(now(), -1) 
    and v.sensor_id=s.id 
    and s.st_id=p.st_id
    and p.id>=0
  order by s_description,st_description'
  );
$q -> execute();

while ($row = $q -> fetch(PDO::FETCH_ASSOC)) {

  echo '<div class="block">';
  echo '<div class="header">'.$row['s_description'].'/'.$row['st_description'].'</div>';

$ql =  $db -> prepare(
  '
    SELECT unix_timestamp(timestamp) timestamp,DATE_FORMAT(timestamp,"%H:%i") printable,value
    FROM
      meteo.sensor_values 
    WHERE 
      sensor_id='.$row['sensor_id'].' and parameter_id='.$row['param_id'].' and timestamp>addtime(now(), -3600)
    ORDER BY 
      timestamp desc
  '
   );

$ql -> execute();

$printable_ts = "?";
$value = "?";

if ($rowl = $ql -> fetch(PDO::FETCH_ASSOC)) {

  $timestamp = $rowl['timestamp'];
  $printable_ts = $rowl['printable'];
  $value = $rowl['value'];

  $units = get_unit($db,$row['param_id']);
  $from_unit = $units['from'];
  $to_unit = $units['to'];
  $param_unit = $units['name'];
                        
  $val = convert_unit($db,$value,$from_unit,$to_unit);
                              
}
                                  
echo '<div class="timestamp">'.$printable_ts.'</div>';
echo '<div class="value">'.$val.' '.$param_unit.'</div>';
?>
<div class="graph"><img src="image.php?sensor=<?php echo $row['sensor_id']; ?>&param=<?php echo $row['param_id']?>&type=last24small"></div>
<?php  

echo "</div>";

}                                                            
  
?>
</div>
<div class="footer">
<a href="archive.php">Архивные данные</a>
<a href="graphs.php">Подробные графики</a>
<a href="setup.php">Настройки</a>
</div>
</body>
      